Package org.sonatype.maven.polyglot.groovy.builder.factory

# Class ParentFactory

java.lang.Object
groovy.util.AbstractFactory
org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory
org.sonatype.maven.polyglot.groovy.builder.factory.ParentFactory

All Implemented Interfaces:
  `groovy.util.Factory`

public class ParentFactory extends NamedFactory
Builds `Parent` nodes.

Since:
  0.7
Author:
  Jason Dillon

## Nested Class Summary

## Nested classes/interfaces inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`NamedFactory.NodeValueParseException`

## Constructor Summary

Constructors
Constructor
Description
`ParentFactory()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`newInstance(groovy.util.FactoryBuilderSupport builder, Object name, Object value, Map attrs)`
`static org.apache.maven.model.Parent`
`parse(Object value)`

### Methods inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`getName, setParent, toString`

### Methods inherited from class groovy.util.AbstractFactory

`isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParentFactory

public ParentFactory()

## Method Details

### newInstance

public Object newInstance(groovy.util.FactoryBuilderSupport builder, Object name, Object value, Map attrs) throws InstantiationException, IllegalAccessException

Throws:
  `InstantiationException`
  `IllegalAccessException`

### parse

public static org.apache.maven.model.Parent parse(Object value)